Package com.databricks.jdbc.api.impl.converters

## Class JTSOGCWKBWriter

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.JTSOGCWKBWriter

    public class JTSOGCWKBWriter
    extends Object

### Constructor Summary

Constructors
`JTSOGCWKBWriter​(EnumSet<org.locationtech.jts.io.Ordinate> outputOrdinates, ByteOrder byteOrder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `write​(ByteBuffer buffer, int pos, org.locationtech.jts.geom.Geometry geom)`
`byte[]` `write​(org.locationtech.jts.geom.Geometry geom)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JTSOGCWKBWriter

    public JTSOGCWKBWriter​(EnumSet<org.locationtech.jts.io.Ordinate> outputOrdinates,
                           ByteOrder byteOrder)

### Method Detail

#### write

    public byte[] write​(org.locationtech.jts.geom.Geometry geom)

#### write

    public int write​(ByteBuffer buffer,
                     int pos,
                     org.locationtech.jts.geom.Geometry geom)